require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"
import "android.os.*"

local activity = activity
local appNumberTextView

function onCreate(savedInstanceState)
    activity.setTitle("Application Number")
    local layout = LinearLayout(activity)
    layout.setOrientation(1)
    
    local label = TextView(activity)
    label.setText("Application Number:")
    label.setTextSize(16)
    layout.addView(label)
    
    appNumberTextView = TextView(activity)
    appNumberTextView.setTextSize(24)
    appNumberTextView.setGravity(Gravity.CENTER)
    layout.addView(appNumberTextView)
    
    updateAppNumber()
    
    activity.setContentView(layout)
end

function updateAppNumber()
    local packageManager = activity.getPackageManager()
    local packageInfo = packageManager.getPackageInfo(activity.getPackageName(), 0)
    local versionCode = packageInfo.versionCode
    appNumberTextView.setText(tostring(versionCode))
end